#237 glBegin, glColor*, etc. are not marked as deprecated.

v3.0.0
open
GL (74)
5
2011-06-14
2011-06-14
Anonymous
No

I set "ONLY_FORWARD_COMPATIBLE = True", however many deprecated functions such as glBegin, glColor* were still loaded and able to be called.
I think "src/generateraw.py" doesn't consider the OpenGL 3.1 deprecation.

Discussion

  • How did you initialized opengl context? With glut? What OGL version?
    Try this code (assuming you want to have 3,1 ogl):
    glutInitContextVersion(3, 1)
    glutInitContextFlags(GLUT_FORWARD_COMPATIBLE)